AsterNet Class Library (Sandcastle documentation)
AsterNet Class Library (Sandcastle documentation)
AsterNET.FastAGI
AGIScript Class
AGIScript Methods
GetOption Method
GetOption Method (String, String)
GetOption Method (String, String, Int32)

| AGIScript GetOption Method (String, String, Int32)

Plays the given file, and waits for the user to press one of the given digits. If none of the esacpe digits is pressed while streaming the file it waits for the specified timeout still waiting for the user to press a digit.

Namespace: AsterNET.FastAGI
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    protected char GetOption(
    	string file,
    	string escapeDigits,
    	int timeout
    )

    Protected Function GetOption (
    	file As String,
    	escapeDigits As String,
    	timeout As Integer
    ) As Char

    protected:
    wchar_t GetOption(
    	String^ file,
    	String^ escapeDigits,
    	int timeout
    )

    member GetOption :
            file : string *
            escapeDigits : string *
            timeout : int -> char

#### Parameters

file
  Type: System
  String
  the name of the file to stream, must not include extension.
escapeDigits
  Type: System
  String
  contains the digits that the user is expected to press.
timeout
  Type: System
  Int32
  the timeout in seconds to wait if none of the defined esacpe digits was presses while streaming.

#### Return Value

Type: Char
the DTMF digit pressed or 0x0 if none was pressed.
See Also

#### Reference

AGIScript Class
GetOption Overload
AsterNET.FastAGI Namespace